Solstice Version 4.6.4 Download Links

Solstice 4.6.4 software upgrades are available for the following components of the Solstice product suite:

  • Solstice Pod
  • Solstice Apps

For more information about what is included in this release, view our Solstice 4.6.4 Release Notes.

Your Pods must be on a minimum software version of 4.6 before they can be upgraded to 4.6.4.

View and click the links below to access all 4.6.4 updates. As a note, Solstice apps on version 5.x are also compatible with Solstice Pods on version 4.6.4.

Solstice Pod Updates

Solstice Client Apps